OpenNMS API 1.2.9

## org.opennms.install
Class ProcessExec.PrintInputStream

    java.lang.Object
      org.opennms.install.ProcessExec.PrintInputStream

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ProcessExec

public class ProcessExec.PrintInputStream
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`private java.io.InputStream` `m_inputStream`
`private java.io.PrintStream` `m_printStream`

Constructor Summary
`ProcessExec.PrintInputStream(java.io.InputStream inputStream, java.io.PrintStream printStream)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_inputStream

    private java.io.InputStream m_inputStream

### m_printStream

    private java.io.PrintStream m_printStream

Constructor Detail

### ProcessExec.PrintInputStream

    public ProcessExec.PrintInputStream(java.io.InputStream inputStream,
                                        java.io.PrintStream printStream)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.